package com.ningdatech.pmapi.projectdeclared.model.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.math.BigDecimal;
import java.time.LocalDateTime;


/**
 * 申报项目列表导出实体类
 *
 * @author CMM
 * @since 2023/03/10 10:20
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeclaredProjectExportDTO {
    @ExcelProperty(value = "序号",index = 0)
    private Integer serialNumber;

    @ExcelProperty("项目名称")
    private String projectName;

    @ExcelProperty("项目类型")
    private String projectTypeName;

    @ExcelProperty("申报金额(万元)")
    private BigDecimal declareAmount;

    @ExcelProperty("预算年度")
    private Integer projectYear;

    @ExcelProperty("创建时间")
    private String createOn;

    @ExcelProperty("项目状态")
    private String statusName;

}
